Skip to Content
kosemdocs
ReferenceAPIUsers

Get user

Gets a user: the caller, as me, or someone in an organization the caller is a member of.

GET
/v1/users/{user}

Gets a user: the caller, as me, or someone in an organization the caller is a member of.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

user*string

The user's ID, or me for the caller.

Match^(me|usr_[0-7][0-9a-hjkmnp-tv-z]{25})$

Response Body

OK

application/json
  1. response
createTime*string

When the user first signed in.

Formatdate-time
displayName*string

Name shown in user interfaces.

email*string

Email address, as verified by the identity provider.

name*string

Resource name, users/{user_id}.

Example Request
curl -X GET 'https://api.kosem.ai/v1/users/string'
Example Response
{
  "createTime": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "email": "string",
  "name": "string"
}